List job order categories
GET/api/job-order-categories
Required permissions:
- settings.company: allows view of company job order categories.
Here the dedicated support page.
Request
Query Parameters
- Equal
- Not equal
- Greater than
- Greater than or equal
- Less than
- Less than or equal
- In list
- Not in list
- Between
- Equal
- Not equal
- Greater than
- Greater than or equal
- Less than
- Less than or equal
- In list
- Not in list
- Between
Possible values: >= 1 and <= 100
Default value: 100
The number of items to include in the response.
Default value: 0
The offset of the first returned item.
Filter items by the updated_at field.
Usage: eq:{value}
Usage: neq:{value}
Usage: gt:{value}
Usage: gte:{value}
Usage: lt:{value}
Usage: lte:{value}
Usage: in:{value_1},{value_2},{value_3}
Usage: nin:{value_1},{value_2},{value_3}
Description: The given values are inclusive.
Usage: bt:{value_min},{value_max}
Possible values: [exclude, include, only]
Default value: exclude
Filter items by deletion status.
Filter items by the deleted_at field.
Usage: eq:{value}
Usage: neq:{value}
Usage: gt:{value}
Usage: gte:{value}
Usage: lt:{value}
Usage: lte:{value}
Usage: in:{value_1},{value_2},{value_3}
Usage: nin:{value_1},{value_2},{value_3}
Description: The given values are inclusive.
Usage: bt:{value_min},{value_max}
Header Parameters
The company you want to interact with
The API version you want to use
Responses
- 200
- 400
- 401
- 403
- 412
Returns the list of job order categories set for the company.
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
Possible values: >= 1
The unique identifier of the resource
The date and time when the resource was created
The date and time when the resource was last updated
Possible values: <= 50 characters
The job order category name
Possible values: <= 50 characters
The job order category RGB color
Whether the job order category is chargeable
Whether plannings on projects with this job order category must be approved
Whether everybody can plan projects with this job order category, regardless of their permissions
Whether projects with this job order category have unlimited planning
The type of hours worked on projects with this job order category
Whether projects with this job order category must be in a program
Whether projects with this job order category use invoice-driven budget
Whether projects with this job order category are capex
Possible values: [on-goods-sold, before-contribution-margin, on-g-and-a, on-marketing]
The type of external costs for projects with this job order category
Whether projects with this job order category track won/lost feedback
Whether projects with this job order category track opportunity status
Whether projects with this job order category use automatic timesheets
Whether projects with this job order category use external drive canvas
Possible values: [remaining-days, percentage, time-based, timesheet-based]
The project status mode for projects with this job order category
Whether projects with this job order category require a review after being archived
The minimum project value in K to require a review after being archived
The ID of the job order category group
The ID of the job order template
The date and time when the resource was deleted
[
{
"id": 1,
"created_at": "2026-03-27T11:39:29.049Z",
"updated_at": "2026-03-27T11:39:29.049Z",
"name": "Development",
"color": "rgb(255, 0, 0)",
"is_chargeable": true,
"is_allocation_request_required": false,
"is_planning_allowed_to_everybody": false,
"is_planning_unlimited": false,
"hours_type": "workable",
"is_program_required": false,
"is_budget_invoice_driven": true,
"is_capex": false,
"external_costs_type": "on-goods-sold",
"is_won_lost_feedback_required": false,
"is_opportunity_status_tracking_enabled": false,
"is_timesheet_automatic": false,
"is_external_drive_canvas_enabled": true,
"project_status_mode": "time-based",
"is_project_review_required": false,
"project_review_value_threshold": 50,
"job_order_category_group_id": 1,
"job_order_template_id": 1,
"deleted_at": "2026-03-27T11:39:29.049Z"
}
]
Validation failed
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
Error unique key
Human-readable message describing the error
failures
object[]
List of validation errors
Name of the field causing the error
Human-readable description of the error
{
"key": "invalid_data",
"message": "You provided invalid data. Check 'failures' for details.",
"failures": [
{
"field": "string",
"message": "string"
}
]
}
Unauthorized
- application/json
- Schema
- Example (from schema)
Schema
Error unique key
Human-readable message describing the error
{
"key": "string",
"message": "string"
}
Forbidden
- application/json
- Schema
- Example (from schema)
Schema
Error unique key
Human-readable message describing the error
{
"key": "string",
"message": "string"
}
Precondition failed
- application/json
- Schema
- Example (from schema)
Schema
Error unique key
Human-readable message describing the error
{
"key": "precondition_failure",
"message": "string"
}